post
https://api.approveit.today/api/v1/approval-requests
Creates a new approval request via the API.
Required Fields:
workflow_slug: The slug of the workflow to usedata: Dictionary containing the approval request field values
Optional Fields:
process_id: Associate with an existing processpriority: Set priority level (low, medium, high, critical)requestor_email: Email of the requestor (must be a team member)approvers: List of approvers for the requestcompletion_type: List of completion type objects specifying approval requirements per step
The approval request will be automatically approved if no approvers are required.
Example Request:
{
"workflow_slug": "TOAF-20",
"data": {
"21f90049-3070-4c96-a306-d8a0e10c0a0e": {
"id": "21f90049-3070-4c96-a306-d8a0e10c0a0e",
"label": "Employee",
"value": "69470"
},
"b7f090b4-e738-4d05-98ff-f83ba6a6fa3f": {
"id": "b7f090b4-e738-4d05-98ff-f83ba6a6fa3f",
"label": "Absence From",
"value": "2025-11-10T09:28:03.767Z"
},
"48fd294a-12e5-42ad-b545-3fb64e63af59": {
"id": "48fd294a-12e5-42ad-b545-3fb64e63af59",
"label": "Absence To",
"value": "2025-11-10T09:28:03.767Z"
}
},
"approvers": [{"email": "[email protected]", "step_order": 0}],
"completion_type": [{"type": "any", "step_order": 0}]
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…